In this section
← Preparation
- Boost a preparation
- Unboost a preparation
- Create a new media for a preparation
- Update a media for a preparation
- Delete a media for a preparation
- Retrieve preparations linked from a preparation
- Publish a preparation
- Unpublish a preparation
- Retrieve the user's preparations
- Create a new preparation
- Retrieve the specified preparation by its id
- Update an existing preparation
- Delete a preparation
On this page
Retrieve the user's preparations
GET /api/v1/preparationsReturns preparations belonging to the authenticated user. Optionally filter by start_date, end_date, and a comma-separated list of status values.
Required Scopes
read
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
start_date |
query | no | string | |
end_date |
query | no | string | |
status |
query | no | string |
Request Body
None.
Responses
200
preparations list
Schema: array[preparation_output]
preparation_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
name |
string | yes | |
description |
string | yes | |
description_html |
string | yes | |
locale |
string | yes | |
status |
string | yes | |
serving |
integer | yes | |
prepared_at |
string | yes | |
recipe_id |
integer | no | |
serving_type |
string | no | |
likes_count |
integer | yes | |
boosts_count |
integer | yes | |
liked |
boolean | yes | |
boosted |
boolean | yes | |
collection_ids |
array[integer] | yes | |
created_at |
string | yes | |
published_at |
string | yes | |
account |
account_output |
yes | |
ingredients |
array[ingredient_output] |
yes | |
steps |
array[] | yes | |
media |
array[medium_output] |
yes |
